## celestia 1.3.0

=== admin/Makefile ===
# Makefile.in generated by automake 1.6.3 from Makefile.am.
# Generated automatically from Makefile.in by config.pl.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.2 $ 
# 

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
VPATH = .
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = /usr/lib
infodir = ${prefix}/info
mandir = /usr/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/kdesdk-3.1
pkglibdir = $(libdir)/kdesdk-3.1
pkgincludedir = $(includedir)/kdesdk-3.1
top_builddir = ../..

ACLOCAL = ${SHELL} /home/lmontel/rpm/BUILD/kdesdk-3.1/admin/missing --run aclocal-1.6
AUTOCONF = ${SHELL} /home/lmontel/rpm/BUILD/kdesdk-3.1/admin/missing --run autoconf
AUTOMAKE = ${SHELL} /home/lmontel/rpm/BUILD/kdesdk-3.1/admin/missing --run automake-1.6
AUTOHEADER = ${SHELL} /home/lmontel/rpm/BUILD/kdesdk-3.1/admin/missing --run autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -p
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = i586-mandrake-linux-gnu
build_triplet = i586-mandrake-linux-gnu
host_alias = i586-mandrake-linux-gnu
host_triplet = i586-mandrake-linux-gnu
target_alias = 
target_triplet = i586-mandrake-linux-gnu

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
AMTAR = ${SHELL} /home/lmontel/rpm/BUILD/kdesdk-3.1/admin/missing --run tar
ARTSCCONFIG = /usr/bin/artsc-config
AS = @AS@
AUTODIRS = 
AWK = gawk
CC = i586-mandrake-linux-gnu-gcc
CONF_FILES =  $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in $(top_srcdir)/./kbabel/configure.in.in $(top_srcdir)/./kbabel/kbabeldict/modules/dbsearchengine/configure.in.in
CPP = i586-mandrake-linux-gnu-gcc -E
CXX = i586-mandrake-linux-gnu-g++
CXXCPP = i586-mandrake-linux-gnu-g++ -E
DBII_INCLUDES = .
DBII_LDFLAGS = .
DBII_NAME = db
DCOPIDL = /usr/bin/dcopidl
DCOPIDL2CPP = /usr/bin/dcopidl2cpp
DCOP_DEPENDENCIES = $(DCOPIDL)
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
ECHO = echo
FRAMEWORK_COREAUDIO = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = /usr/bin/msgfmt
IDL = @IDL@
IDL_DEPENDENCIES = @IDL_DEPENDENCIES@
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KDECONFIG = /usr/bin/kde-config
KDE_EXTRA_RPATH = 
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = 
KDE_LDFLAGS = -L/usr/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = 
KDE_USE_CLOSURE_FALSE = #
KDE_USE_CLOSURE_TRUE = 
KDE_USE_FINAL_FALSE = #
KDE_USE_FINAL_TRUE = 
KDE_XSL_STYLESHEET = /usr/share/apps/ksgmltools2/customization/kde-chunk.xsl
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBGEN = @LIBGEN@
LIBJPEG = -ljpeg
LIBMICO = @LIBMICO@
LIBOBJS = 
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBRESOLV = -lresolv
LIBSHADOW = @LIBSHADOW@
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBUTIL = -lutil
LIBXINERAMA = -lXinerama
LIBZ = -lz
LIB_DBII = -ldb2
LIB_KAB = -lkab
LIB_KABC = -lkabc
LIB_KDECORE = -lkdecore
LIB_KDEPRINT = -lkdeprint
LIB_KDEUI = -lkdeui
LIB_KFILE = -lkio
LIB_KFM = 
LIB_KHTML = -lkhtml
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = -lkio
LIB_KPARTS = -lkparts
LIB_KSPELL = -lkspell
LIB_KSYCOCA = -lkio
LIB_POLL = 
LIB_QPE = 
LIB_QT = -lqt-mt  $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_QTOPIA = @LIB_QTOPIA@
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LN_S = ln -s
MCOPIDL = /usr/bin/mcopidl
MEINPROC = /usr/bin/meinproc
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = /usr/lib/qt3/bin/moc
MSGFMT = /usr/bin/msgfmt
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
NOREPO = -fno-repo
OBJDUMP = @OBJDUMP@
PACKAGE = kdesdk-3.1
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = 
QTOPIA_INCLUDES = @QTOPIA_INCLUDES@
QT_INCLUDES = -I/usr/lib/qt3/include
QT_LDFLAGS = -L/usr/lib/qt3/lib
RANLIB = ranlib
RC = @RC@
REPO = -frepo
SETUIDFLAGS = @SETUIDFLAGS@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = strip
TOPSUBDIRS =  cervisia doc kapptemplate kbabel kbugbuster kdeaccounts-plugin kfile-plugins kompare kprofilemethod kspy poxml scripts
UIC = /usr/lib/qt3/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 3.1.0
WOVERLOADED_VIRTUAL = 
XGETTEXT = /usr/bin/xgettext
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = 
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
X_PRE_LIBS = 
all_includes = -I/usr/lib/qt3/include -I/usr/X11R6/include 
all_libraries = -L/usr/X11R6/lib -L/usr/lib/qt3/lib -L/usr/lib 
am__include = include
am__quote = 
idldir = @idldir@
install_sh = /home/lmontel/rpm/BUILD/kdesdk-3.1/admin/install-sh
jni_includes = @jni_includes@
kde_appsdir = ${prefix}/share/applnk
kde_bindir = ${exec_prefix}/bin
kde_confdir = ${prefix}/share/config
kde_datadir = ${prefix}/share/apps
kde_htmldir = ${prefix}/share/doc/HTML
kde_icondir = ${prefix}/share/icons
kde_includes = /usr/include
kde_libraries = /usr/lib
kde_libs_htmldir = /usr/share/doc/HTML
kde_libs_prefix = /usr
kde_locale = ${prefix}/share/locale
kde_mimedir = ${prefix}/share/mimelnk
kde_moduledir = ${libdir}/kde3
kde_qtver = 3
kde_servicesdir = ${prefix}/share/services
kde_servicetypesdir = ${prefix}/share/servicetypes
kde_sounddir = ${prefix}/share/sounds
kde_styledir = ${libdir}/kde3/plugins/styles
kde_templatesdir = ${prefix}/share/templates
kde_wallpaperdir = ${prefix}/share/wallpapers
kde_widgetdir = /usr/lib/kde3/plugins/designer
micodir = @micodir@
qt_includes = /usr/lib/qt3/include
qt_libraries = /usr/lib/qt3/lib
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib
subdir = kapptemplate/admin
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DIST_COMMON = ChangeLog Makefile.am Makefile.in compile config.guess \
	config.sub depcomp install-sh ltmain.sh missing mkinstalldirs \
	ylwrap
#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  kapptemplate/admin/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  kapptemplate/admin/Makefile
	cd $(top_srcdir) && perl admin/am_edit kapptemplate/admin/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=configure.in.min Doxyfile.global cvs-clean.pl Makefile.common acinclude.m4.in Doxyfile.am config.pl debianrules am_edit libtool.m4.in configure.in.bot.end cvs.sh detect-autoconf.sh conf.change.pl 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-data-local

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-info-am uninstall-local

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-data-local install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool uninstall uninstall-am uninstall-info-am \
	uninstall-local

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kapptemplate/admin
	for file in $(srcdir)/*; do \
		if [ -f $$file -a $$file != 'Makefile' -a $$file != 'Makefile.in' -a $$file != 'Makefile.am' ]; then \
			destfile=`basename $$file` \
			$(INSTALL_DATA) $$file \
				$(DESTDIR)$(kde_datadir)/kapptemplate/admin/$$destfile; \
		fi \
	done

uninstall-local:
	-/bin/rm -rf $(DESTDIR)$(kde_datadir)/kapptemplate/admin
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  kapptemplate/admin/Makefile
	cd $(top_srcdir) && perl admin/am_edit kapptemplate/admin/Makefile.in


#>+ 2
final:
	$(MAKE) all-am
#>+ 2

## celestia 1.6.0+dfsg

=== debian/changelog ===
celestia (1.6.0+dfsg-4ubuntu1) precise; urgency=low

  * Build-depend on libjpeg-dev rather than libjpeg62-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Nov 2011 01:12:13 +0000

celestia (1.6.0+dfsg-4) unstable; urgency=low

  * Add missing Build-Dependencies on libjpeg62-dev and libpng12-dev.

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 21:35:45 +0200

celestia (1.6.0+dfsg-3) unstable; urgency=low

  * Remove Build-Dependency on libqt3-mt-dev.
  * Bump Standards-Version. 
  * Make dereferenced temporaries slightly less temporary. Closes: #625014
  * Add Belarusian translation. Closes: #602429

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 20:20:22 +0200

celestia (1.6.0+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove KDE frontend support, thus removing dependency on kde4libs-dev.
    (Closes: #604263, #516238, #527923, #567789, #498941, #604903).
  * Remove KDE 3 related files, as we don't use it anymore:
    - debian/celestia-kde.1
    - debian/celestia-kde.README.Debian
    - debian/celestia-kde.docs
    - debian/celestia-kde.manpages
    - debian/celestia-kde.menu
    - debian/celestia-kde.postinst
    - debian/celiestia-kde.prerm
  * Remove celestia-kde:
    - Remove binary package.
    - Remove celestia-kde from celestia's depends, keeping the order of
      preferences of the rest of the packages.
    - Remove KDE front-end from celestia-glut's description.

  * Modify debian/rules to not build celestia-kde:
    - Remove build-kde from BUILDDIRS.
    - Remove KDE-related commands.

  * Fix build with GCC 4.5 using fix-build-with-gcc-4.5.patch, thanks 
    to Peter Green (Closes: #564970).

  * Add missing -ldl to link against libdl. This is done with 
    add_missing_ldl.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Tue, 29 Mar 2011 09:55:40 -0300

celestia (1.6.0+dfsg-2) unstable; urgency=low

  * Apply patch from Alessio Tregliam dropping aRTs support. Closes: #563664
  * Apply patch from Alessio Tregliam fixing the celestia-glut desktop file.
    Closes: #563665
  * Apply patch from Emilio Pozuelo Monfort removing unnecessary
    Build-Dependency on libgnomeuimm-2.6-dev. Closes: #568803
  * Add Norwegian Bokmål translation from Bjørn Steensrud.
    Closes: #572041, #570619
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Aug 2010 21:50:50 +0200

celestia (1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #560753
  * Adopt 3.0 (quilt) source format.
  * Bump Standards-Version.
  * Use dh_prep instead of dh_clean -k.
  * Copy config.{sub,guess} from autotools-dev before configuring.
  * Add missing dependencies on ${misc:Depends}.
  * Remove call to dh_desktop.
  * Mangle version in watch file.

 -- Guus Sliepen <guus@debian.org>  Sun, 20 Dec 2009 12:50:23 +0100

celestia (1.5.1+dfsg1-2) unstable; urgency=low

  * Remove unused Build-Depends on gtkglarea5-dev. Closes: #516342
  * Make celestia-kde Suggest khelpcenter instead of Depending on it.
    Closes: #506794
  * Add missing includes to fix FTBFS with GCC 4.4. Closes: #504863

 -- Guus Sliepen <guus@debian.org>  Fri, 20 Feb 2009 23:56:59 +0100

celestia (1.5.1+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Remove textures and models with unclear license status from the source:
    - maps taken from http://maps.jpl.nasa.gov/
    - models of Toutatis, Kleopatra and Geographos
    Closes: #174456
  * Suggest celestia-common-nonfree package containing the above mentioned
    textures and models.
  * Revert to acinclude.m4 from celestia 1.5.0 in order to build celestia-kde.
  * Use stdint.h for architecture independent data types. Again.
    Closes: #137769

 -- Guus Sliepen <guus@debian.org>  Sat, 17 May 2008 23:09:35 +0200

celestia (1.5.0-3) unstable; urgency=low

  * Correct fix for some min()/max() uses (previous one was only working on 64
    bit architectures).

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Apr 2008 20:49:11 +0200

celestia (1.5.0-2) unstable; urgency=low

  * Add missing includes and fix min()/max() usage necessary for compilation
    with GCC 4.3. Closes: #455417
  * Use the -l option when copying files to the temporary build directories.

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Apr 2008 15:38:58 +0200

celestia (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Sync with Ubuntu hardy (see changelog entries below).
  * Add calls to dh_icons and dh_desktop in debian/rules.
  * Fix spelling errors in debian/control.
  * More homogenising of the desktop files.
  * Redo stamping in debian/rules:
    - rule Y doesn't depend on X-stamp but just on X
    - only provide X-stamp if rule X actually does something

 -- Guus Sliepen <guus@debian.org>  Sat, 16 Feb 2008 15:06:15 +0100

celestia (1.5.0-0ubuntu1) hardy; urgency=low

  * New upstream release. (LP: #188892)
  * debian/patches: Disabled am_edit-refresh.patch.
  * debian/control: Moved homepage out of description.

 -- Matvey Kozhev <sikon@lucidfox.org>  Thu, 14 Feb 2008 00:01:12 +0600

celestia (1.4.1+cvs20070626-3ubuntu4) hardy; urgency=low

  * Add "Replaces" line for old "celestia" package name.

 -- Kees Cook <kees@ubuntu.com>  Tue, 01 Jan 2008 20:09:33 -0800

celestia (1.4.1+cvs20070626-3ubuntu3) hardy; urgency=low

  * debian/rules: really fix "install" dep order to build -common tree first
    (LP: #176576).

 -- Kees Cook <kees@ubuntu.com>  Fri, 21 Dec 2007 13:29:02 -0800

celestia (1.4.1+cvs20070626-3ubuntu2) hardy; urgency=low

  * debian/rules: fixed "install" dep order to build -common tree first
    (LP: #176576).
  * debian/rules: fixed location of -depth argument to avoid "find" warning.
  * Add Kees Cook to the Uploaders.

 -- Guus Sliepen <guus@debian.org>  Mon, 17 Dec 2007 12:39:15 +0100

celestia (1.4.1+cvs20070626-3) unstable; urgency=low

  * Use stdint.h, like God intended. Closes: #137769, #335416
  * Remove rpath by hand.



=== debian/control ===
Source: celestia
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
Uploaders: Kees Cook <kees@outflux.net>
Build-Depends: debhelper (>= 7.0.0), freeglut3-dev, liblua5.1-dev, libgnomeui-dev, libgtkglext1-dev, libtheora-dev, chrpath, autotools-dev, libjpeg-dev, libpng12-dev
Standards-Version: 3.9.2
Homepage: http://www.shatters.net/celestia/

Package: celestia-common
Architecture: all
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: celestia-common-nonfree
Depends: ${misc:Depends}
Description: datafiles for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the data files for Celestia.

Package: celestia
Architecture: all
Depends: celestia-gnome | celestia-glut, ${misc:Depends}
Description: real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This is a dummy package that selects at least one frontend for Celestia.

Package: celestia-gnome
Section: gnome
Architecture: any
Depends: celestia-common (>= 1.4.1), ${shlibs:Depends}, ${misc:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (GNOME frontend)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the GTK+ frontend for Celestia, and integrates
 with GNOME.

Package: celestia-glut
Architecture: any
Depends: celestia-common (>= 1.4.1), ${shlibs:Depends}, ${misc:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (GLUT frontend)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains a minimal frontend for Celestia. There is a separate
 package that provides a frontend that integrates with GNOME.

=== debian/rules ===
#!/usr/bin/make -f 
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#GCC4_ICES_HERE := arm m68k hppa
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

#ifneq (,$(filter $(DEB_HOST_ARCH_CPU),$(GCC4_ICES_HERE)))
#	export CC=gcc-3.4
#	export CPP=cpp-3.4
#	export CXX=g++-3.4
#endif

# Since the configure-script doesn't work when building outside of the
# source dir, we have to copy the damned thing a few times.
# This is a crude hack really and the configure script should be fixed
# but for now it works...
# 
# So first we build a list of stuff to copy.
LIST       = $(shell ls | grep -v ^debian$ | grep -v ^build-)
BUILDDIRS  = build-glut build-gnome

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

################
# CONFIG PHASE #
################
config: config-glut config-gnome

config-glut: config-glut-stamp
config-glut-stamp:
	-mkdir build-glut
	-chmod a+x configure
	-for TMP in $(LIST); do cp -ldpR $$TMP build-glut; done
	-cp /usr/share/misc/config.* build-glut
	cd build-glut && LIBS=-ldl ./configure --host=$(DEB_HOST_GNU_TYPE) \
	                             --build=$(DEB_BUILD_GNU_TYPE) \
				     --prefix=/usr \
				     --mandir=\$${prefix}/share/man \
				     --infodir=\$${prefix}/share/info \
				     --disable-rpath \
				     --with-glut \
				     --with-lua \
				     --without-arts \
				     LDFLAGS="-Wl,--as-needed"
	touch config-glut-stamp

config-gnome: config-gnome-stamp
config-gnome-stamp:
	-mkdir build-gnome
	-chmod a+x configure
	-for TMP in $(LIST); do cp -ldpR $$TMP build-gnome; done
	-cp /usr/share/misc/config.* build-gnome
	cd build-gnome && LIBS=-ldl ./configure --host=$(DEB_HOST_GNU_TYPE) \
	                              --build=$(DEB_BUILD_GNU_TYPE) \
				      --prefix=/usr \
				      --mandir=\$${prefix}/share/man \
				      --infodir=\$${prefix}/share/info \
				      --disable-rpath \
				      --with-gnome \
				      --with-lua \
				      --without-arts \
				      --with-gconf-schema-file-dir=/usr/share/gconf/schemas \
				      LDFLAGS="-Wl,--as-needed"
	touch config-gnome-stamp

###############
# BUILD PHASE #
###############
build: build-arch build-indep

build-arch: build-glut build-gnome

build-indep: build-glut

build-glut: build-glut-stamp
build-glut-stamp: config-glut
	cd build-glut && $(MAKE)
	touch build-glut-stamp

build-gnome: build-gnome-stamp
build-gnome-stamp: config-gnome
	cd build-gnome && $(MAKE)
	touch build-gnome-stamp

###############
# CLEAN PHASE #
###############
clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf $(BUILDDIRS)
	rm -rf debian/debiandirs
	rm -rf config.sub config.guess
	dh_clean


#################
# INSTALL PHASE #
#################
install: install-arch install-indep

install-indep: install-indep-stamp
install-indep-stamp: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	
	# Common files

	cd build-glut && GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=yes \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/celestia-common

	rm -rf debian/celestia-common/usr/bin \
		debian/celestia-common/usr/lib \
		debian/celestia-common/usr/share/celestia/COPYING*

	mv debian/celestia-common/usr/share/celestia/celestia.cfg \
		debian/celestia-common/etc/celestia.cfg
	ln -s /etc/celestia.cfg debian/celestia-common/usr/share/celestia/

	touch install-indep-stamp
	
install-arch: build-arch install-indep
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a

	# GLUT frontend

	cd build-glut/src/celestia  && GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=yes \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/celestia-glut

	mv debian/celestia-glut/usr/bin/celestia debian/celestia-glut/usr/bin/celestia-glut
	chrpath --delete debian/celestia-glut/usr/bin/celestia-glut
	mkdir -p debian/celestia-glut/usr/share/applications
	cp debian/celestia-glut.desktop debian/celestia-glut/usr/share/applications/

	# GNOME frontend

	cd build-gnome && GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=yes \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/celestia-gnome

	mv debian/celestia-gnome/usr/bin/celestia debian/celestia-gnome/usr/bin/celestia-gnome
	chrpath --delete debian/celestia-gnome/usr/bin/celestia-gnome
	mkdir -p debian/celestia-gnome/usr/share/celestia

	# Remove /usr/share/celestia files already found in celestia-common
	for i in celestia-glut celestia-gnome; \
	do \
		cd $(CURDIR)/debian/celestia-common/usr/share && \
			find . ! -type d -print0 | \
				(cd $(CURDIR)/debian/$$i/usr/share && \
					xargs -0 rm -f); \
		rm -f $(CURDIR)/debian/$$i/usr/share/celestia/COPYING* \
			$(CURDIR)/debian/$$i/usr/share/celestia/celestia.cfg \
			$(CURDIR)/debian/$$i/celestia; \
		cd $(CURDIR)/debian/$$i && \
			find . -mindepth 1 -depth -type d -print0 | \
				xargs -0 rmdir --ignore-fail-on-non-empty; \
	done

	dh_install -a


################
# BINARY PHASE #
################
# Must not depend on anything. This is to be called by
# binary-arch/binary-multi
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_icons
#	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installinfo
	dh_installman
	dh_gconf
	dh_link
	dh_strip
	dh_compress -X.docbook
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch config config-glut config-gnome build-glut build-gnome build-indep build-arch build binary install install-indep install-arch

## celestia 1.6.1+dfsg

=== src/tools/atmosphere/Makefile ===
CXX = g++
CXXFLAGS = -O3 -Wall # -msse -msse2
INSTALL = /usr/bin/install

# tools will be installed into
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin

all:	scattersim

scattersim:	scattersim.cpp
	$(CXX) $(CXXFLAGS) -I../.. scattersim.cpp -o scattersim -lpng
clean:
	rm -f   *.o
install:
	$(INSTALL) scattersim $(bindir)	
uninstall:
	rm -f $(bindir)/scattersim

=== debian/changelog ===
celestia (1.6.1+dfsg-3) unstable; urgency=low

  [ Julian Taylor ]
  * Fix FTBFS with ld --no-add-needed and --as-needed. Closes: #704538, #713604

  [ Guus Sliepen ]
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64. Closes: #727845
  * Bump Standards-Version.
  * Add -Wl,--as-needed back.

 -- Guus Sliepen <guus@debian.org>  Sun, 27 Oct 2013 22:54:15 +0100

celestia (1.6.1+dfsg-2) unstable; urgency=low

  * Build-Depend on libpng-dev instead of libpng12-dev. Closes: #662285
  * Add missing #include "mathlib.h" to fix FTBFS with gcc-4.7. Closes: #672081
  * Enable locales as early as possible in the GNOME frontend. Unfortunately
    does not seem to close #668234.
  * Use dpkg-buildflags, Build-Depend on dpkg-dev.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 19 May 2012 21:49:43 +0200

celestia (1.6.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove patches that have been applied upstream.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev. Closes: #641096
  * Add patch from Nobuhiro Iwamatsu fixing FTBFS with libpng 1.5.
    Closes: #649551
  * Remove -Wl,--as-needed from the linker flags to ensure it compiles.

 -- Guus Sliepen <guus@debian.org>  Sat, 24 Dec 2011 14:31:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: celestia
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
+Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Kees Cook <kees@outflux.net>
-Build-Depends: debhelper (>= 7.0.0), freeglut3-dev, liblua5.1-dev, libgnomeui-dev, libgtkglext1-dev, libtheora-dev, chrpath, autotools-dev, libjpeg-dev, libpng12-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.0), freeglut3-dev, liblua5.1-dev, libgnomeui-dev, libgtkglext1-dev, libtheora-dev, chrpath, autotools-dev, libjpeg-dev, libpng-dev, dpkg-dev (>= 1.16.1~), autotools-dev
+Standards-Version: 3.9.4
 Homepage: http://www.shatters.net/celestia/
 
 Package: celestia-common

=== debian/rules ===
--- 
+++ 
@@ -34,13 +34,11 @@
 LIST       = $(shell ls | grep -v ^debian$ | grep -v ^build-)
 BUILDDIRS  = build-glut build-gnome
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -54,6 +52,7 @@
 config-glut-stamp:
 	-mkdir build-glut
 	-chmod a+x configure
+	dh_autotools-dev_updateconfig
 	-for TMP in $(LIST); do cp -ldpR $$TMP build-glut; done
 	-cp /usr/share/misc/config.* build-glut
 	cd build-glut && LIBS=-ldl ./configure --host=$(DEB_HOST_GNU_TYPE) \
@@ -64,8 +63,7 @@
 				     --disable-rpath \
 				     --with-glut \
 				     --with-lua \
-				     --without-arts \
-				     LDFLAGS="-Wl,--as-needed"
+				     --without-arts
 	touch config-glut-stamp
 
 config-gnome: config-gnome-stamp
@@ -83,8 +81,7 @@
 				      --with-gnome \
 				      --with-lua \
 				      --without-arts \
-				      --with-gconf-schema-file-dir=/usr/share/gconf/schemas \
-				      LDFLAGS="-Wl,--as-needed"
+				      --with-gconf-schema-file-dir=/usr/share/gconf/schemas
 	touch config-gnome-stamp
 
 ###############
@@ -116,6 +113,7 @@
 	rm -rf $(BUILDDIRS)
 	rm -rf debian/debiandirs
 	rm -rf config.sub config.guess
+	dh_autotools-dev_restoreconfig
 	dh_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg// \
http://sf.net/celestia/celestia-([\d.]+)\.tar\.gz

## celestia 1.7.0~git20250418%2Bfab96cc

=== debian/control ===
Source: celestia
Section: science
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hleb Valoshka <375gnu@gmail.com>
Build-Depends: chrpath,
               cmake (>= 3.1~),
               debhelper (>= 10~),
               gperf,
               libavcodec-dev,
               libavformat-dev,
               libavif-dev,
               libavutil-dev,
               libboost-dev,
               libeigen3-dev (>= 3.3~),
               libepoxy-dev,
               libfmt-dev,
               libfreetype6-dev,
               libglu1-mesa-dev,
               libicu-dev,
               libjpeg62-turbo-dev | libjpeg-dev,
               libluajit-5.1-dev,
               libpng-dev (>= 1.6) | libpng16-dev,
               libqt5opengl5-dev,
               libqt6opengl6-dev,
               libsdl2-dev,
               libswscale-dev,
               libwayland-dev,
               ninja-build,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-base-private-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtbase5-private-dev,
               wayland-protocols
Standards-Version: 4.0.0
Homepage: https://github.com/CelestiaProject/Celestia

Package: celestia-common
Architecture: all
Conflicts: celestia (<< 1.4.1), celestia-common (<< 1.7.0~)
Replaces: celestia (<< 1.4.1), celestia-common (<< 1.7.0~)
Depends: fonts-dejavu-core, ${misc:Depends}
Description: common files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the files common for all Celestia frontends.

Package: celestia
Architecture: all
Depends: celestia-qt5 | celestia-qt6 | celestia-sdl, ${misc:Depends}
Description: real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This is a dummy package that selects at least one frontend for Celestia.

Package: celestia-qt5
Section: science
Architecture: any
Depends: celestia-common (= ${binary:Version}),
         celestia-data (>= 1.7.0~),
         libcelestia1.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (Qt5 frontend)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the Qt5 frontend for Celestia.

Package: celestia-qt6
Section: science
Architecture: any
Depends: celestia-common (= ${binary:Version}),
         celestia-data (>= 1.7.0~),
         libcelestia1.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (Qt6 frontend)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the Qt6 frontend for Celestia.

Package: celestia-sdl
Architecture: any
Depends: celestia-common (= ${binary:Version}),
         celestia-data (>= 1.7.0~),
         libcelestia1.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (SDL frontend)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the SDL frontend for Celestia.

Package: libcelestia1.7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: tzdata
Description: Library for the Celestia space simulator
 This package includes the libcelestia library, which is
 necessary to run Celestia.

Package: celestia-tools
Architecture: any
Depends: libcelestia1.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (tools)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains tools required to create data files for Celestia.
